<?php

declare(strict_types=1);

namespace App\Dictionary\Order;

/**
 * 支付模式
 */
enum PayMode: int
{
    case PAYMENT = 1;

    case REFUND = 2;

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::PAYMENT => '支付',
            self::REFUND => '退费',
        };
    }
}
