<?php

declare(strict_types=1);

namespace App\Dictionary\Order;

/**
 * 订单来源
 */
enum SourceId: int
{
    case OFFICIAL_ACCOUNT = 0;

    case MINI_PROGRAM = 1;

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::OFFICIAL_ACCOUNT => '微信公众号',
            self::MINI_PROGRAM => '微信小程序',
        };
    }
}
