<?php
declare(strict_types=1);

namespace App\Jobs\Message;

use EasyWeChat\Kernel\Exceptions\InvalidArgumentException;
use EasyWeChat\MiniApp\Application as MiniApplication;

class SubscriptionMessage extends Message
{
    /**
     * @return MiniApplication
     * @throws InvalidArgumentException
     */
    public function getApp(): MiniApplication
    {
        /** @var MiniApplication */
        return getWeChatMiniProgramApp();
    }
}
