<?php

declare(strict_types=1);

namespace App\Dictionary\Custom;

enum Code: int
{
    case SUCCESS = 0;

    case ERROR = 1;


    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::SUCCESS => '成功',
            self::ERROR => '失败',
        };
    }
}
