<?php

declare(strict_types=1);

namespace UnifyPayment\Modules\Pay;

use UnifyPayment\Cores\BasicContainer;

/**
 * @property OfficialAccountClient $official 公众号
 * @property MiniProgramClient     $mini     小程序
 */
class Application extends BasicContainer
{
    /**
     * @var array
     */
    protected array $clients = [
        'official' => OfficialAccountClient::class,
        'mini' => MiniProgramClient::class
    ];
}